#/*
# *  Copyright 2007-2009 hkrn <hikarin@users.sourceforge.jp>
# *
# *  Licensed under the Apache License, Version 2.0 (the "License");
# *  you may not use this file except in compliance with the License.
# *  You may obtain a copy of the License at
# *
# *      http://www.apache.org/licenses/LICENSE-2.0
# *
# *  Unless required by applicable law or agreed to in writing, software
# *  distributed under the License is distributed on an "AS IS" BASIS,
# *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# *  See the License for the specific language governing permissions and
# *  limitations under the License.
# */
#
# $Id: NoMail.pm 1826 2009-04-08 15:23:25Z hikarin $
#

package Img0ch::Plugin::Filter::NoMail;

use strict;

sub check {
    my ($iApp) = @_;

    if ( !$iApp->cap()->can_post_without_limit() ) {
        if ( $iApp->get_mail() =~ /\A[\w\-\.]+\@[\w\-\.]+\z/xms ) {
            $iApp->set_error('INVALID_POST');
            return 0;
        }
        if ( $iApp->get_name() =~ /\A[\w\-\.]+\@[\w\-\.]+\z/xms ) {
            $iApp->set_error('INVALID_POST');
            return 0;
        }
    }

    return 1;
}

1;
__END__
